Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6237 - rc.sysinit: after manual fsck wrong reboot is isused
Summary: rc.sysinit: after manual fsck wrong reboot is isused
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 13:21 UTC by rjb
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-25 16:03:50 UTC


Attachments (Terms of Use)

Description rjb 1999-10-22 13:21:51 UTC
If the root file system requires manual attention then
rc.sysinit invokes sulogin to allow the superuser to
correct the problem.  When sulogin returns rc.sysinit
attempts to reboot the system, but it invokes reboot
without the -f option so reboot tries to run shutdown which
tries many things which break because (a) they were never
started in the first place or (b) / is a read only file
system.  This causes confusion.  This reboot should be
invoked with -f . This problem affects initscripts-4.16-1.
rc.sysinit line 108.

Comment 1 Bill Nottingham 1999-10-22 14:48:59 UTC
Fixed in initscripts-4.56-1 or so, which will be in the next Raw
Hide release.

Comment 2 rjb 1999-10-25 09:16:59 UTC
Also applies to line 234 and line 268.


Note You need to log in before you can comment on or make changes to this bug.